{% extends 'base.html'  %} 

{% block title %}Detail{% endblock title %}

{% block content %} 

<style type="text/css">
	img{
		height: 550px;
		width: 550px;
	}
</style> 

<div class="container mt-3">
	<div class="row">
	
		<div class="col-lg-7 border">
			<img src="{{book.image.url}}">
		</div> 

		<div class="col-lg-5 border">
			<h3 class="mt-3">{{book.name}}</h3>
			<hr>
			<div class="container-fluid">
				<div class='row'>
					<div class='col-lg-6 border'>
                        <p><b>Title:</b> {{book.title}}</p>
                        <p><b>Author:</b> {{book.author}}</p>
						<p class=""><b>Category:</b> {{category}}</p>
					</div>

					<div class="col-lg-6 border">  
						<p class=""><b>Price:</b> Rs. {{book.price }}</p>
                        {% if book.quantity == 0%}
						<p class="text-danger"><b>Stock: Out of Stock</b></p>
                        {% endif %}
						<p class=""><b>Quantity:</b> {{ book.quantity  }}</p>

						 
					</div>
				</div>
			</div>
			<hr>
			<p><h5>Description:</h5>{{book.description}}</p>
			<hr>

			<!-- {% if book.quantity > 0 %}

			<div class="card-footer row">
				<div class="row">

					{% if book.id  %}
					<form method="post" action="{% url 'home' %}#{{book.id}}" class="col-2">
						{% csrf_token %}
						<input hidden type='text' name="book_id" value="{{book.id}}">
						<input hidden type="text" name='decrease' value="True">
						<input type="submit" class="btn btn-block btn-secondary" value=" - ">
					</form>

					<div class="text-center col">{{book }} in cart</div>
					
					{% if not book  %}
					<form method="post" action="{% url 'home' %}#{{book.id}}" class="col-2">
						{% csrf_token %}
						<input hidden type='text' name="book_id" value="{{book.id}}">
						<input type="submit" class="btn btn-block btn-secondary" value=" + ">
					</form>
					{% endif %}
					{% else %}
					<form action="{% url 'home' %}#{{book.id}}" method="post" class="text-center">
						{% csrf_token %}
						<input hidden type="text" name="book_id" value="{{book.id}}"> 
						<input type="submit"  class="btn btn-block btn-primary" value="Add To Cart"> 
					</form> 

					{% endif %}
				</div>
			</div>	   -->
            
		</div>
	</div>
</div> 
{% endif %}

<script>

$('#searchFormId').on('submit',function(e){
    e.preventDefault();
    let formData = new FormData(this);
    const searchUrl = "{% url 'book_search' %}"+ "?keyword=" +formData.get('keyword');
    
    $.ajax({
        url: searchUrl,
        method: 'GET',

        success: function(response){
                $('.container').empty().html(response);
                $('#searchFormId')[0].reset();
            },
        error: function(err){
            console.log(err);
        }
    })

})

</script>

{% endblock  %}